%global momorel 20
%global srcname akode

Summary: aKode is the decoding library
Name: libakode
Version: 2.0.2
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.carewolf.com/akode/
Source0: http://www.kde-apps.org/CONTENT/content-files/30375-%{srcname}-%{version}.tar.bz2
NoSource: 0
Source10: admin.tar.bz2
Patch0: %{srcname}-%{version}-speex-header-path.patch
Patch1: %{srcname}-%{version}-ffmpeg-20080318.patch
Patch2: %{srcname}-%{version}-ffmpeg-20081021.patch
Patch10: %{name}-%{version}-x86_64.patch
Patch11: %{srcname}-%{version}-gcc43.patch
Patch12: %{name}-%{version}-automake111.patch
Patch13: %{name}-%{version}-autoconf265.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: alsa-lib-devel >= 1.0.13-2m
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: ffmpeg-devel >= 0.4.9-0.20081023
BuildRequires: flac-devel >= 1.1.4
BuildRequires: jack-devel >= 0.102.20-2m
BuildRequires: libmad >= 0.15.1b-0.1.2m
BuildRequires: libogg-devel >= 1.1.3-2m
BuildRequires: libsamplerate-devel >= 0.1.2-3m
BuildRequires: libtool
BuildRequires: libtool-ltdl-devel >= 2.2.6
BuildRequires: libvorbis-devel >= 1.1.2-2m
BuildRequires: speex-devel => 1.2
BuildRequires: x264-devel >= 0.0.721-0.20081021

%description
aKode is a simple audio-decoding frame-work that provides a uniform interface 
to decode the most common audio-formats. It also has a direct playback option 
for a number of audio-outputs. 
aKode currently has the following decoder plugins: 
 mpeg: Uses libMAD to decoder all MPEG 1/2 layer I-III audio. GPL licensed and patent issue in the US. 
 mpc: Decodes musepack aka mpc audio. LGPL licensed. 
 xiph: Decodes FLAC, Ogg/FLAC, Speex and Ogg Vorbis audio. LGPL licensed, patent free. 
 ffmpeg: Experimental decoder using the FFMPEG decoding library. Enables WMA and RealAudio playback. LGPL and possible patent and reengineering issues in the US. 
 aKode also has the following audio outputs: 
 oss: Outputs to the OSS (Open Sound System) of for instance FreeBSD and Linux 2.4 
 alsa: Outputs to ALSA of Linux 2.6 (version 0.9 or 1.x required) (dmix is recommended). 
 sun: Outputs to Sun OS/Solaris audio device . 
 jack: Outputs using Jack audio backend. 
 polyp: Output to the polypaudio server. Recommended for network transparent audio.

%package devel
Summary: Headers for developing programs that will use libakode
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use libakode.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .speex-12
%patch1 -p1 -b .ffmpeg-20070330
%patch2 -p1 -b .ffmpeg-20080121
%if %{_lib}=="lib64"
%patch10 -p1 -b x86_64
%endif

# for new automake
rm -rf admin
tar xf %{SOURCE10}

%patch12 -p1 -b .automake111
%patch13 -p1 -b .autoconf265

# for Patch0
make -f admin/Makefile.common cvs

%patch11 -p1 -b .gcc43~

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags} -D__STDC_CONSTANT_MACROS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-kscd-cdda \
	--enable-sdl \
	--enable-new-ldflags \
	--disable-final \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# # get rid of mpeg_decoder (software patent concerns)
# rm -f %%{buildroot}%%{_libdir}/%{name}_mpeg_decoder.*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/%{srcname}play
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so.*
%{_libdir}/%{name}_alsa_sink.la
%{_libdir}/%{name}_alsa_sink.so
%{_libdir}/%{name}_ffmpeg_decoder.la
%{_libdir}/%{name}_ffmpeg_decoder.so
%{_libdir}/%{name}_jack_sink.la
%{_libdir}/%{name}_jack_sink.so
%{_libdir}/%{name}_mpc_decoder.la
%{_libdir}/%{name}_mpc_decoder.so
%{_libdir}/%{name}_mpeg_decoder.la
%{_libdir}/%{name}_mpeg_decoder.so
%{_libdir}/%{name}_oss_sink.la
%{_libdir}/%{name}_oss_sink.so
%{_libdir}/%{name}_src_resampler.la
%{_libdir}/%{name}_src_resampler.so
%{_libdir}/%{name}_xiph_decoder.la
%{_libdir}/%{name}_xiph_decoder.so

%files devel
%defattr(-, root, root)
%{_bindir}/%{srcname}-config
%{_includedir}/%{srcname}
%{_libdir}/%{name}.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-20m)
- full rebuild for mo7 release

* Sun May 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-19m)
- import arts-acinclude.patch as autoconf265.patch from F-13
- fix build with new autoconf

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-18m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.2-17m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue May 19 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-16m)
- fix build with new automake

* Mon May 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-15m)
- rebuild against libtool-ltdl-2.2.6
- fix for new automake

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.2-14m)
- rebuild against rpm-4.6

* Sun Oct 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.2-12m)
- rebuild against x264, ffmpeg

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-11m)
- rebuild against x264

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-10m)
- rebuild against x264

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-9m)
- rebuild against gcc43

* Wed Mar 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-8m)
- support ffmpeg-20080316

* Sun Mar  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-7m)
- libtool-1.5.24

* Sun Mar  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-6m)
- rebuild against libtool-2.2

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.2-5m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri Dec 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-4m)
- rebuild against x264-0.0.712-0.20071219

* Wed Dec 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-3m)
- rebuild against ffmpeg-0.4.9-0.20071219
- update ffmpeg patch

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.2-2m)
- rebuild against libvorbis-1.2.0-1m

* Sun Apr 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.2-1m)
- add x86_64 patch which is from http://frugalware.org/

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-1m)
- version 2.0.2
- add ffmpeg-20070330.patch and use "-D__STDC_CONSTANT_MACROS" for the moment
- update speex-header-path.patch
- remove merged flac-1.1.3.patch
- remove admin.tar.bz2

* Fri Feb 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-5m)
- add akode-2.0.1-speex-header-path.patch for speex-1.2

* Thu Feb 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-4m)
- rebuild with flac again
- import akode-2.0.1+flac-1.1.3.patch.gz from debian-qt-kde
  http://www.mail-archive.com/debian-qt-kde@lists.debian.org/msg16727.html
- add new admin for new autotools

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-3m)
- rebuild without flac-1.1.4 for the moment

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-2m)
- rebuild against libvorbis libmad libogg libsamplerate jack alsa-lib

* Tue Jan 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- initial package for kdemultimedia
